Subject: bug#25200: guix lint throws gnutls error

From: Christopher Baines <[email-masked]>
Date: Thu, 15 Dec 2016 21:38:00 +0000

On 15/12/16 16:15, Ludovic Courtès wrote:
> Hi Maxim!
> 
> Maxim Cournoyer <[email-masked]> skribis:
> 
>> I'm using an up-to-date Guix (running directly from the Git tree) and
>> recently started getting the following gnutls errors when attempting to
>> run "guix lint some-package". This happens for any package.
>>
>> The complete error traceback returned on the console looks like:
>>
>>  guix lint icecat
>> gnu/packages/gnuzilla.scm:304:2: icecat-45.5.1-gnu1: file names of patches should start with the package name
> 
> [...]
> 
>> In guix/scripts/lint.scm:
>>  786: 4 [check-vulnerabilities #]
>>  781: 3 [#<procedure 35c2b00 at guix/scripts/lint.scm:771:4 (package)> #]
>> In unknown file:
>>    ?: 2 [force #<promise #<procedure 35c2be0 at guix/scripts/lint.scm:769:16 ()>>]
>> In guix/scripts/lint.scm:
>>  770: 1 [#<procedure 35c2be0 at guix/scripts/lint.scm:769:16 ()>]
>> In ice-9/boot-9.scm:
>>  160: 0 [catch srfi-34 #<procedure 35c2ce0 at guix/scripts/lint.scm:743:2 ()> ...]
>>
>> ice-9/boot-9.scm:160:17: In procedure catch:
>> ice-9/boot-9.scm:160:17: Throw to key `gnutls-error' with args `(#<gnutls-error-enum Error while reading file.> set-certificate-credentials-x509-trust-file!)'.

I hit this on Wednesday, I think its a problem in the profile generation
code, related to character encoding, and possibly to do with locales.

It was triggered by the recent nss-certs update, but I don't think that
has anything to do with it, apart from introducing some files with names
including non-ascii characters.

I've filed bug#25213 about this which includes instructions to reproduce it.